Models/Persona.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Lab13.Models
{
    public class Persona
    {
        public int PersonaID { get; set; }
        public string Nombre { get; set; }
        public string Apellido { get; set; }
        public DateTime FechaNac{ get; set; }
        public string Direccion { get; set; }
        public string Email { get; set; }
    }
}

Controllers/PersonaController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Lab13.Models;

namespace Lab13.Controllers
{
    public class PersonaController : Controller
    {
        // GET: Persona
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult Listar()
        {
            List<Persona> personas = new List<Persona>();
            personas.Add(new Persona
            {
                PersonaID = 1,
                Nombre = "Juan",
                Apellido = "Perez",
                Direccion = "Av. Evergreen 123",
                FechaNac = Convert.ToDateTime("1997-11-07"),
                Email = "juan@mail.com"
            });
            personas.Add(new Persona
            {
                PersonaID = 2,
                Nombre = "Maria",
                Apellido = "Salas",
                Direccion = "Av. Progreso 123",
                FechaNac = Convert.ToDateTime("1992-11-01"),
                Email = "maria@mail.com"
            });
            personas.Add(new Persona
            {
                PersonaID = 3,
                Nombre = "Carlos",
                Apellido = "Martinez",
                Direccion = "Av. Los Manzanos 123",
                FechaNac = Convert.ToDateTime("1985-11-01"),
                Email = "carlos@mail.com"
            });
            return View(personas);
        }

        public ActionResult Mostrar(int id)
        {
            List<Persona> personas = new List<Persona>();
            personas.Add(new Persona
            {
                PersonaID = 1,
                Nombre = "Juan",
                Apellido = "Perez",
                Direccion = "Av. Evergreen 123",
                FechaNac = Convert.ToDateTime("1997-11-07"),
                Email = "juan@mail.com"
            });
            personas.Add(new Persona
            {
                PersonaID = 2,
                Nombre = "Maria",
                Apellido = "Salas",
                Direccion = "Av. Progreso 123",
                FechaNac = Convert.ToDateTime("1992-11-01"),
                Email = "maria@mail.com"
            });
            personas.Add(new Persona
            {
                PersonaID = 3,
                Nombre = "Carlos",
                Apellido = "Martinez",
                Direccion = "Av. Los Manzanos 123",
                FechaNac = Convert.ToDateTime("1985-11-01"),
                Email = "carlos@mail.com"
            });

            Persona persona = (from p in personas
                               where p.PersonaID == id
                               select p).FirstOrDefault();

            return View(persona);
        }




    }
}

Views/Persona/Index.cshtml
@{
    ViewBag.Title = "Lab 13";
}

<h2>Personas - Lab 13</h2>

@Html.ActionLink("Listar personas","Listar","Persona") 

Views/Persona/Listar.cshtml
@model List<Lab13.Models.Persona>
@{
    ViewBag.Title = "Listar";
    var grid = new WebGrid(source: Model, columnNames:new[]{
        "PersonaID","Nombre","Apellido","FechaNac","Direccion","Email"});
}

<h2>Listado de personas</h2>
@grid.GetHtml(tableStyle: "table table-striped",
    columns: grid.Columns(
        grid.Column(columnName:"PersonaID", header: "PersonaID"),
        grid.Column(columnName:"Nombre", header: "Nombre"),
        grid.Column(columnName:"Apellido", header: "Apellido"),
        grid.Column(columnName:"FechaNac", header: "FechaNac"),
        grid.Column(columnName:"Direccion", header: "Direccion"),
        grid.Column(columnName:"Email", header: "Email"),
        grid.Column(columnName:"Acciones", format:(item)=>
            Html.ActionLink("Ver", "Mostrar", "Persona", new { id = item.PersonaID },null))
        )
    )

<!-- <table class="table table-striped">
    <tr>
        <th>PersonaID</th>
        <th>Nombre</th>
        <th>Apellido</th>
        <th>Fecha Nac.</th>
        <th>Direccion</th>
        <th>Email</th>
    </tr>
    @foreach (var persona in Model)
    {
        <tr>
            <td>@persona.PersonaID</td>
            <td>@persona.Nombre</td>
            <td>@persona.Apellido</td>
            <td>@persona.FechaNac</td>
            <td>@persona.Direccion</td>
            <td>@persona.Email</td>
            <td>@Html.ActionLink("Ver", "Mostrar", "Persona", new{id=persona.PersonaID},null)</td>
        </tr>
    }
</table>
-->

Views/Persona/Mostrar.cshtml
@model Lab13.Models.Persona

@{
    ViewBag.Title = "Mostrar";
}

<h2>Mostrar persona</h2>

@using (Html.BeginForm())
{
        <div class="row">
        <div class="col-md-2">
            <label>
                @Html.LabelFor(model => model.PersonaID)
            </label>
        </div>
        <div class="col-md-5">
                @Html.TextBoxFor(model => model.PersonaID)
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            <label>
                @Html.LabelFor(model => model.Nombre)
            </label>
        </div>
        <div class="col-md-5">

    @Html.TextBoxFor(model => model.Nombre)
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            <label>
                
    @Html.LabelFor(model => model.Apellido)
            </label>
        </div>
        <div class="col-md-5">

    @Html.TextBoxFor(model => model.Apellido)
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            <label>
                
    @Html.LabelFor(model => model.FechaNac)
            </label>
        </div>
        <div class="col-md-5">

    @Html.TextBoxFor(model => model.FechaNac)
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            <label>
    @Html.LabelFor(model => model.Direccion)
                
            </label>
        </div>
        <div class="col-md-5">
    @Html.TextBoxFor(model => model.Direccion)

        </div>
    </div>
    <div class="row">
        <div class="col-md-2">
            <label>
                
    @Html.LabelFor(model => model.Email)
            </label>
        </div>
        <div class="col-md-5">

    @Html.TextBoxFor(model => model.Email)
        </div>
    </div>
}

@Html.ActionLink("Listar personas", "Listar", "Persona")

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    <link href="~/Content/Site.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <script src="~/Scripts/modernizr-2.8.3.js"></script>
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                </ul>
            </div>
        </div>
    </div>

    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    <script src="~/Scripts/jquery-3.4.1.min.js"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>
</body>
</html>